Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.PropertyChangeHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler

All Implemented Interfaces:
  PropertyChangeListener, EventListener

Direct Known Subclasses:
  MetalSliderUI.MetalPropertyListener

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.PropertyChangeHandler

extends Object
implements PropertyChangeListener

Constructor Summary
`BasicSliderUI.PropertyChangeHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` This method gets called when a bound property is changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSliderUI.PropertyChangeHandler

    public BasicSliderUI.PropertyChangeHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Description copied from interface: `PropertyChangeListener`
  This method gets called when a bound property is changed.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Parameters:
    `e` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.